com.rs.xbrl.instructions

## Enum FLQnameXpathTable.Values

- java.lang.Object
- - java.lang.Enum<FLQnameXpathTable.Values>
  - - com.rs.xbrl.instructions.FLQnameXpathTable.Values

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FLQnameXpathTable.Values>
  Enclosing class:
    FLQnameXpathTable

      public static enum FLQnameXpathTable.Values
      extends java.lang.Enum<FLQnameXpathTable.Values>

  The Enum Values.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Member` The Member.
    `QName` The Q name.
    `Table` The Table.
    `XPath` The X path.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FLQnameXpathTable.Values` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FLQnameXpathTable.Values[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### QName

          public static final FLQnameXpathTable.Values QName

      The Q name.

    - #### XPath

          public static final FLQnameXpathTable.Values XPath

      The X path.

    - #### Table

          public static final FLQnameXpathTable.Values Table

      The Table.

    - #### Member

          public static final FLQnameXpathTable.Values Member

      The Member.

  - ### Method Detail

    - #### values

          public static FLQnameXpathTable.Values[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FLQnameXpathTable.Values c : FLQnameXpathTable.Values.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FLQnameXpathTable.Values valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null